[![Sauce Test Status](https://saucelabs.com/browser-matrix/SuperGloo.svg)](https://saucelabs.com/u/SuperGloo)

# SuperGloo

Making it easy to work with data on the Gloo platform.

# Dev Flow

Running `npm run dev` will watch all tests and source files. Upon change, the linter will be run first, followed by the Node tests.

# Running Browser Tests

Running `npm run test:browser` will build the browser tests bundle, start a local HTTP server, expose that server using [localtunnel.me](https://localtunnel.github.io/www/), and then run the full test suite using Gloo's [minimum supported browser versions](https://gloohelp.zendesk.com/hc/en-us/articles/217411427) via Sauce Labs.

Due to the tooling we use to run browser tests, the browser tests must be run on Node.js v6 or greater.

# Early Days

This project is just getting started. Reach out to ccapel@tangogroup.com should you have any questions.
